EDIT - task #9617

Rename ICNB to ICNP
05/10/2021 03:11 PM - Andreas Miller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal

Description

Since certain time the code is better called ICNP. See
https://en.wikipedia.org/wiki/International_Code_of Nomenclature_of Prokaryotes for details.

The current publication for the code: https://www.microbiologyresearch.org/content/journal/ijsem/10.1099/ijsem.0.000778 /
https://doi.org/10.1099/ijsem.0.000778

Related issues:
Related to EDIT - bug #9618: fix historic NomenclaturalCodeEdition names ICN ... Closed

Associated revisions

Revision a918965a - 05/11/2021 12:31 PM - Andreas Miiller
fix #9617 rename ICNB to ICNP in cdmlib

Revision 4488955c¢ - 05/11/2021 12:35 PM - Andreas Miiller

ref #9617 javadoc in rank class

Revision 182c851e - 05/11/2021 12:44 PM - Andreas Miiller
ref #9617 update vaadin doc

Revision 6d6ca639 - 05/11/2021 01:35 PM - Andreas Miiller
ref #9617 replace ICNB to ICNP in taxeditor

Revision 98e684{7 - 05/11/2021 02:06 PM - Andreas Miiller
ref #9617 replace ICNB to ICNP in taxeditor (cont.)

Revision 7fd0cf17 - 05/11/2021 03:38 PM - Andreas Muiller
ref #9617 rename ICNB to ICNP in cdmlib-app

Revision 084b31e9 - 05/11/2021 03:48 PM - Andreas Miiller
ref #9617 change label for ICNP in taxeditor

Revision e4c6e7b3 - 05/11/2021 03:52 PM - Andreas Miiller
ref #9617 javadoc adaptations

History

#1 - 05/10/2021 03:53 PM - Andreas Miiller

- Description updated

#2 - 05/10/2021 04:28 PM - Andreas Kohlbecker

NOTE: this change in NomenclaturalCodeEdition should not affect the name of historic code editions which where originally published as ICNB.

These names must be retained.

#3 - 05/10/2021 04:35 PM - Andreas Kohlbecker
- Related to bug #9618: fix historic NomenclaturalCodeEdition names ICN -> ICBN added
#4 - 05/10/2021 05:17 PM - Andreas Miiller

Andreas Kohlbecker wrote:
NOTE: this change in NomenclaturalCodeEdition should not affect the name of historic code editions which where originally published as ICNB.
These names must be retained.

NomenclaturalCodeEdition entry names are pure enum "names" not used for anything else. So we can rename them but there is no big need for this

as they should never be shown to the user in anyway. Having all the same prefix has a certain advantage for sorting. Needs discussion.

This differs from NomenclaturalCode, where the abbreviation is also used as a title that is shown to users (but there we only use the current code
abbreviation for pratical reasons.

This ticket is about NomenclaturalCode not NomenclaturalCodeEditon
#5 - 05/11/2021 12:33 PM - Andreas Miuller

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|a918965a9529a628c997456fd5810338a2f7443f.

#6 - 05/11/2021 02:52 PM - Andreas Miiller
- Target version changed from CDM UML 5.43 to Release 5.25

#7 - 05/11/2021 03:40 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

I tink this can be closed. ICNB/P is not yet really used anyway.

#8 - 05/11/2021 03:43 PM - Andreas Kohlbecker

please consider the discussion in #9618 before closing this ticket, as the question there is highly related.
#9 - 05/11/2021 04:43 PM - Andreas Miiller
Andreas Kohlbecker wrote:
please consider the discussion in #9618 before closing this ticket, as the question there is highly related.
As explained in #9618 the need for an historic abbreviation (if required by users) should be handled as separate parameter, not by using enum
names.
Also this ticket is about NomenclaturalCode not NomenclaturalCodeEditon.

The remaining discussion should be done at #9618. IMO there is no need to keep 2 tickets open for this.

But if phycobank (the only DB using the above mentioned feature) handles also names from ICNP we can temporarily revert the changes in
NomenclaturalCodeEditon related to this ticket.

#10 - 05/17/2021 09:52 AM - Andreas Miuiller

- Target version changed from Release 5.25 to Release 5.23
